Subject: Re: bug#72490: edt emulation
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 31 Aug 2024 11:01:22 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked]
> Date: Sat, 17 Aug 2024 12:13:03 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Angelo Borsotti <[email-masked]>
> > Date: Tue, 6 Aug 2024 10:28:54 +0200
> > 
> > I have just downloaded emacs 29.4, and run the edt emulation.
> > Emacs prompts me to define the keyboard mapping, which I did.
> > It saves it in my home\appdata\roaming, withe name .emacs-gnu-W32-keys,
> > which is different from the one indicated in th documentation.
> 
> Which documentation states differently, please?
> 
> > This, seemingly, is not important because when I run emacs again,
> > it loads it anyway.
> > The problem is that the arrows do not work!
> > If I run emacs, and enter M-x edt-emulation-on and C-h k <right arrow>
> > it displays:
> > 
> > <right> runs the command edt-cut, which is an interactive
> > native-compiled Lisp function in ‘edt.el’.
> > 
> > It is bound to <right>.
> > 
> > (edt-cut)
> > 
> > Deletes selected text but copies to kill ring.
> > 
> > How can I solve the problem?
> 
> When you run the edt-mapper command, and it asks for the arrow keys,
> you need to press the arrow keys on the numeric pad (and make sure
> NumLock is OFF when you do).  Then the arrows will work in the EDT
> emulation; at least they did for me.

No further comments, so I assume the above solved the issue, and I'm
therefore closing this bug.